<?php

class Uniqueorder extends Module{

	private $_html = '';
	private $_postErrors = array();

	public function __construct()
	{
            
            $this->name = 'uniqueorder';
            $this->tab = 'administration';
            $this->author = 'Webbax';
            $this->version = '1.0.0';
        
            $this->bootstrap = true;
            parent::__construct();
            
            $this->displayName = 'Unique Order';
            $this->description = $this->l('Force une commande unique (fusionne les doublons)');
            $this->confirmUninstall = $this->l('Etes-vous sûr ?');
            
	}

	public function install()
	{
            if (!parent::install() OR !$this->registerHook('header'))
                    return false;     
            return true;
	}

	public function uninstall()
	{
            
            if(!parent::uninstall()){
                return false;
            }else{
                return true;
            }
	}
        
        public function hookHeader()
        {
          
            /* journalier */
            $orders = Db::getInstance()->executeS('SELECT COUNT(*) AS nb_double, id_order
                                                FROM '._DB_PREFIX_.'orders
                                                WHERE `date_add` LIKE "%'.pSQL(date('Y-m-d')).'%"
                                                GROUP BY date_add,total_paid
                                                HAVING COUNT(*) > 1');


            
            /* annuel */
            /*
            $orders = Db::getInstance()->executeS('SELECT COUNT(*) AS nb_double, id_order, date_add, total_paid
                                                  FROM '._DB_PREFIX_.'orders
                                                  GROUP BY date_add,total_paid
                                                  HAVING COUNT(*) > 1');
            */

            if(!empty($orders)){
                foreach($orders as $o){
                    $order_delete = Db::getInstance()->getRow('SELECT *  FROM '._DB_PREFIX_.'orders
                                                               WHERE `date_add`="'.pSQL($o['date_add']).'" AND
                                                               `total_paid`="'.pSQL($o['total_paid']).'"
                                                               ORDER BY `id_order` DESC');
                    $Order = new Order($order_delete['id_order']);
                    $Order->delete();
                }
            }
        }

}
?>